Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpSessionUtils

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpSessionUtils

public class DialUpSessionUtils extends Object
Менеджер работы с сессиями Dialup

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DialUpSessionUtils.ServiceRange`
  Диапазон услуги

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialUpSessionUtils(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteSessionAccountAndDetailById(int sessionId, Date month)`
  `static float`
  `getPart(Calendar periodFrom, Calendar periodTo, int sid, Map<Integer,List<DialUpSessionUtils.ServiceRange>> ranges)`
  `Map<Integer,List<DialUpSessionUtils.ServiceRange>>`
  `getServiceRangeMap(int contractId, String sids)`
  Возвращает карту "код услуги"-"список диапазонов услуги на договоре"
  `void`
  `setContractAccountFromSessionAccount(Calendar time, int contractId)`
  Устанавливает наработку договору по наработке за сессии
  `void`
  `setSessionAccount(Calendar date, int sessionId, int serviceId, float sum, int cid)`
  Устанавливает наработку за сессию

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpSessionUtils

    public DialUpSessionUtils(Connection con, int mid)

- ## Method Details

  - ### setSessionAccount

    public void setSessionAccount(Calendar date, int sessionId, int serviceId, float sum, int cid)
    Устанавливает наработку за сессию
    Parameters:
      `date` - дата
      `sessionId` - код сессии
      `serviceId` - код услуги
      `sum` - сумма
      `cid` - код договора

  - ### setContractAccountFromSessionAccount

    public void setContractAccountFromSessionAccount(Calendar time, int contractId)
    Устанавливает наработку договору по наработке за сессии
    Parameters:
      `time` - дата
      `contractId` - код договора

  - ### getServiceRangeMap

    public Map<Integer,List<DialUpSessionUtils.ServiceRange>> getServiceRangeMap(int contractId, String sids)
    Возвращает карту "код услуги"-"список диапазонов услуги на договоре"
    Parameters:
      `contractId` - код договора
      `sids` - коды услуг
    Returns:

  - ### getPart

    public static float getPart(Calendar periodFrom, Calendar periodTo, int sid, Map<Integer,List<DialUpSessionUtils.ServiceRange>> ranges)

  - ### deleteSessionAccountAndDetailById

    public void deleteSessionAccountAndDetailById(int sessionId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`